<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('abouts', function (Blueprint $table) {
            $table->id();

            // About
            $table->string('about_title_en')->nullable();
            $table->string('about_title_ar')->nullable();
            $table->text('about_en')->nullable();
            $table->text('about_ar')->nullable();
            $table->string('about_image1')->nullable();
            $table->string('about_image2')->nullable();
            $table->json('about_items_en')->nullable();
            $table->json('about_items_ar')->nullable();


            // Mission
            $table->text('mission_en')->nullable();
            $table->text('mission_ar')->nullable();
            $table->string('mission_image')->nullable();

            // Vision
            $table->text('vision_en')->nullable();
            $table->text('vision_ar')->nullable();
            $table->string('vision_image')->nullable();

            // Innovation
            $table->text('innovation_en')->nullable();
            $table->text('innovation_ar')->nullable();

            // Community
            $table->text('community_en')->nullable();
            $table->text('community_ar')->nullable();

            // Sustainability
            $table->text('sustainability_en')->nullable();
            $table->text('sustainability_ar')->nullable();

            $table->timestamps();
        });

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('abouts');
    }
};
